import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { NgScormPlayerService } from './ng-scorm-player.service';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { ScormResult } from './model/scorm-result';
import { WindowRef } from './window-ref.service';
export declare class NgScormPlayerComponent implements OnInit, OnChanges {
    private win;
    playerSco: NgScormPlayerService;
    sanitizer: DomSanitizer;
    API: any;
    urlLaunchPageSafe: SafeUrl;
    urlDirSco: string;
    urlLaunchPage: string;
    scormResult: ScormResult;
    openInNewWindow: boolean;
    initializing: any;
    constructor(win: WindowRef, playerSco: NgScormPlayerService, sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    init(): void;
    maybeOpenWindow(url: string): void;
}
